{% extends 'base/baseadmin.html' %}

{% block title %}
  Lista de empleados y transporte
{% endblock %}

{% block content %}
<div class="container text-center">
  <h1>Lista de empleados y transportes:</h1>
    <a href="{% url 'core:empleadotransporte_create' %}" class="btn btn-outline-dark form-control">Registra un nuevo empleado y transporte</a>

    <style>
      /* Aplicar color blanco al texto dentro de la tabla */
      .table.text-white td,
      .table.text-white th {
        color: white;
      }
    </style>

    <table class="table table-striped table-hover text-white mt-3">
      <thead>
        <th>Numero de empleado</th>
        <th>Numero de transporte</th>
        <th>Fecha de inicio</th>
        <th>Fecha de finalización</th>
        <th>Acciones</th>
      </thead>
      <tbody>
        {% for EmpleadosTransp in empleadotransporte %}
          <tr>
            <td>{{ EmpleadosTransp.empleado }}</td>
            <td>{{ EmpleadosTransp.transporte }}</td>
            <td>{{ EmpleadosTransp.fechainicio }}</td>
            <td>{{ EmpleadosTransp.fechafinal }}</td>
            <td>
              <a href="{% url 'core:empleadotransporte_delete' pk=EmpleadosTransp.empleado.pk %}" class="btn btn-outline-light">Eliminar</a>
            </td>
          </tr>
        {% endfor %}
      </tbody>
    </table>
  </div>
{% endblock %}
